<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");

class pagina extends elemento{
		
	private $estados = array(0=>"Por aprovar",1=>"Aprovado",2=>"Não aprovado");
	
	function pagina() {
        $c= new categoria;
    }

	function guardar($id){
		$db= new dbElemento;
		if ($linha=$db->getLinhaCampo($this->tipo, "idCat", $this->idCat))
			parent::guardar($linha['id']);
		else parent::guardar();
		//$this->editar($linha['id']);			
	}    


	function editar($id=""){
        $db= new dbElemento;

/*        if($this->req['pendente']){
        	$linha = $db->getLinha($this->tipo, $this->req['id']);
        }else {
        	$sql="select * from ".$this->tipo." where idCat =".$this->idCat." and estado = 1";
        	$lista = $db->get($sql);
        	$linha = $lista[0];
        	
        	if(empty($linha)){ //nao tem nenhuma aprovada
        		$sql="select * from ".$this->tipo." where idCat =".$this->idCat." order by id desc";
        		$lista = $db->get($sql);
        		$linha = $lista[0];        	
        	}
        }
		
		if ($linha) $id=$linha['id'];
		*/
		

		
		
				
		if ($row=$db->getLinhaCampo($this->tipo, "idCat", $this->idCat))
			$id=$row['id'];
			
		$linha=	@$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha, $this->req);
		$f->toolbars();
	
		$f->titulo("",1,"",$f->textodireita);
		$f->campoValor("id", $id);
		$f->campoHTML("Texto", "texto", "required");
		
		$sys_data = (($linha['sys_data'] != "0000-00-00")) ? $linha['sys_data'] : date("Y-m-d");
		$sys_hora = (($linha['sys_hora'] != "00:00:00")) ? $linha['sys_hora'] : date("H:i");
		$f->campoValor('sys_autor', $linha['sys_autor'] ? $linha['sys_autor'] : $_SESSION['authdata']['login']);
		$f->campoValor('sys_data', $sys_data);
		$f->campoValor('sys_hora', $sys_hora);
		
		$f->campoBotaoPreview($linha['permalink'],"../pagina.php");
		
		$f->campoValor('idAntigo', $linha['idAntigo']);
		
/*		include ("include/pendentes.inc.php");		
		include ("include/nao_aprovados.inc.php");*/
		$f->campoSimNao("Activo", "estado");
		$f->mostra();
	}
	
	function listar($id=""){
        $this->editar($id);
	}
}
?>
